Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036668
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2017-08-03 13:282017-08-23 11:05
ReporterJONHMView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2.3
StatusclosedFix in branchFixed in SCM revision7c2e5018ce3a
ProjectionnoneETAnoneTarget Version3.0PR17Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036668: Callouts retrieve wrong quantity when Format.xml file is set with too many decimals

DescriptionWhen adding a product line in physical inventory (which is associated with SL_Inventory_Product callout), the quantity obtained from the product is not real, there are too many zeroes added to the real quantity.
It seems to be related to the configuration of the Format.xml file and its 'qtyRelation' and 'qtyEdition' fields when set with 5 decimals
Steps To Reproduce- First of all, replace the Format.xml file by the attached one. Then, recompile the application.

1) Open "Physical Inventory" window and create a new one with default values.
2) Switch to lines tab and create a new one for product 'Vino Blanco 0,75L'.
--> Notice that the stock for that product is 31300 and the quantity retrieved from the callout is 3130000

(The quantity in database for that product is set as 31300.00)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036590 closedmarkmm82 Callouts retrieve wrong quantity when Format.xml file is set with too many decimals 

-  Notes
(0098598)
hgbot (developer)
2017-08-23 11:04

Repository: erp/backports/3.0PR17Q2.3
Changeset: 7c2e5018ce3a5c9efa06d0e1e9d4b83f188aaec7
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Aug 21 15:43:39 2017 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR17Q2.3/rev/7c2e5018ce3a5c9efa06d0e1e9d4b83f188aaec7 [^]

Fixes issue 36668: Wrong quantity in inventory lines

* Send quantities as BigDecimal instead of String.
* Remove unnecessary displaylogic() execute.

---
M src/org/openbravo/erpCommon/ad_callouts/SL_InOutLine_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Inventory_Locator.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Inventory_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Movement_Product.java
---
(0098599)
hgbot (developer)
2017-08-23 11:04

Repository: erp/backports/3.0PR17Q2.3
Changeset: 9b58269cba27f491f8cace10d26a1be0bbb8451e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Aug 23 11:01:23 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q2.3/rev/9b58269cba27f491f8cace10d26a1be0bbb8451e [^]

Related to issue 36668: Update copyright

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Movement_Product.java
---
(0098603)
aferraz (developer)
2017-08-23 11:05

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2017-08-18 13:00 aferraz Type defect => backport
2017-08-18 13:00 aferraz Target Version => 3.0PR17Q2.3
2017-08-23 10:53 aferraz Assigned To inigosanchez => markmm82
2017-08-23 11:04 hgbot Checkin
2017-08-23 11:04 hgbot Note Added: 0098598
2017-08-23 11:04 hgbot Status scheduled => resolved
2017-08-23 11:04 hgbot Resolution open => fixed
2017-08-23 11:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q2.3/rev/7c2e5018ce3a5c9efa06d0e1e9d4b83f188aaec7 [^]
2017-08-23 11:04 hgbot Checkin
2017-08-23 11:04 hgbot Note Added: 0098599
2017-08-23 11:05 aferraz Review Assigned To => aferraz
2017-08-23 11:05 aferraz Note Added: 0098603
2017-08-23 11:05 aferraz Status resolved => closed
2017-08-23 11:05 aferraz Fixed in Version => 3.0PR17Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker